commit:     336ac77283bdc675767eda8865f4e39c817fe3a0
Author:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Sat Mar 26 07:35:31 2022 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Sat Mar 26 07:35:31 2022 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=336ac772

sys-cluster/dtcmp: add 1.1.4

Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>

 sys-cluster/dtcmp/Manifest           |  1 +
 sys-cluster/dtcmp/dtcmp-1.1.4.ebuild | 39 ++++++++++++++++++++++++++++++++++++
 2 files changed, 40 insertions(+)

diff --git a/sys-cluster/dtcmp/Manifest b/sys-cluster/dtcmp/Manifest
index 110302191..0fbe49a61 100644
--- a/sys-cluster/dtcmp/Manifest
+++ b/sys-cluster/dtcmp/Manifest
@@ -1 +1,2 @@
 DIST dtcmp-1.1.2.tar.gz 76820 BLAKE2B 
bd67112567515fefff171e1b9e0da5d93e2b5bec88246de33e3b382bcc6029f1fc18a658ce185634615c37f1a10b5759eb04f2039f334ea5deaa680a005c6d5f
 SHA512 
c8094ca5009ba10d40be3da55498b97837865d87b3deaa813b31de2083c38aa30b55c91ead053e2ef0454c53948aafa233f9251295ca29a0233f28a169cbd5c2
+DIST dtcmp-1.1.4.tar.gz 77123 BLAKE2B 
45e6ae9b7726ea3185350fb3850c81a7e212625d2a9f0b60e3e21e1d72038af0094a68303064fbd261209b968c2df3d72f6ccda4a0c78b1557b54d5bdfcca391
 SHA512 
2686e44aeaab37ff065ecb7f898dfa57a4e7d1c99c8785544c10c8d14a736ae9da4623d938f7380b487cadc61ced6c050118a16e5c238e57b47a926e0cfca44b

diff --git a/sys-cluster/dtcmp/dtcmp-1.1.4.ebuild 
b/sys-cluster/dtcmp/dtcmp-1.1.4.ebuild
new file mode 100644
index 000000000..92f0d11d5
--- /dev/null
+++ b/sys-cluster/dtcmp/dtcmp-1.1.4.ebuild
@@ -0,0 +1,39 @@
+# Copyright 2019-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools
+
+DESCRIPTION="Datatype Compare Library for sorting and ranking distributed data 
using MPI"
+HOMEPAGE="https://github.com/LLNL/dtcmp";
+SRC_URI="https://github.com/LLNL/dtcmp/archive/refs/tags/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+       sys-cluster/lwgrp
+       virtual/mpi
+"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       local myconf=(
+               --with-lwgrp="${EPREFIX}/usr"
+       )
+       econf "${myconf[@]}"
+}
+
+src_install() {
+       default
+       rm -r "${ED}/usr/share/${PN}" || die
+       find "${ED}" -name '*.la' -delete || die
+       find "${ED}" -name '*.a' -delete || die
+}

Reply via email to